function mapCreateDealRequestToDealCreateData(
  data,
  userId
) {
  return {
    title: data.title,
    description: data.description ?? null,
    url: data.url ?? null,
    price: Number(data.price) ?? null,

    // 🔑 adapter burada seller’ı “custom” gibi yazar
    // service bunu düzeltecek
    customSeller: data.sellerName,

    user: {
      connect: { id: userId },
    },
/*
    images: data.images?.length
      ? {
          create: data.images.map((imgUrl, index) => ({
            imageUrl: imgUrl,
            order: index,
          })),
        }
      : undefined,
  */

}
}
module.exports = {
  mapCreateDealRequestToDealCreateData,
}
